CVE-2011-1139

MEDIUM

Description

wiretap/pcapng.c in Wireshark 1.2.0 through 1.2.14 and 1.4.0 through 1.4.3 allows remote attackers to cause a denial of service (application crash) via a pcap-ng file that contains a large packet-length field.

References

http://anonsvn.wireshark.org/viewvc?view=rev&revision=35855

http://lists.fedoraproject.org/pipermail/package-announce/2011-March/055364.html

http://lists.fedoraproject.org/pipermail/package-announce/2011-March/055650.html

http://lists.fedoraproject.org/pipermail/package-announce/2011-March/055664.html

http://secunia.com/advisories/43759

http://secunia.com/advisories/43795

http://secunia.com/advisories/43821

http://secunia.com/advisories/44169

http://www.debian.org/security/2011/dsa-2201

http://www.kb.cert.org/vuls/id/215900

http://www.mandriva.com/security/advisories?name=MDVSA-2011:044

http://www.redhat.com/support/errata/RHSA-2011-0369.html

http://www.redhat.com/support/errata/RHSA-2011-0370.html

http://www.securitytracker.com/id?1025148

http://www.vupen.com/english/advisories/2011/0622

http://www.vupen.com/english/advisories/2011/0626

http://www.vupen.com/english/advisories/2011/0719

http://www.vupen.com/english/advisories/2011/0747

http://www.wireshark.org/docs/relnotes/wireshark-1.2.15.html

http://www.wireshark.org/docs/relnotes/wireshark-1.4.4.html

http://www.wireshark.org/security/wnpa-sec-2011-03.html

http://www.wireshark.org/security/wnpa-sec-2011-04.html

https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=5661

https://exchange.xforce.ibmcloud.com/vulnerabilities/65779

https://hermes.opensuse.org/messages/8086844

https://oval.cisecurity.org/repository/search/definition/oval%3Aorg.mitre.oval%3Adef%3A14997

Details

Source: MITRE

Published: 2011-03-03

Updated: 2017-09-19

Type: CWE-399

Risk Information

CVSS v2.0

Base Score: 4.3

Vector: AV:N/AC:M/Au:N/C:N/I:N/A:P

Impact Score: 2.9

Exploitability Score: 8.6

Severity: MEDIUM

Tenable Plugins

View all (19 total)

IDNameProductFamilySeverity
76043openSUSE Security Update : wireshark (openSUSE-SU-2011:0347-1)NessusSuSE Local Security Checks
medium
75772openSUSE Security Update : wireshark (openSUSE-SU-2011:0347-1)NessusSuSE Local Security Checks
medium
68232Oracle Linux 4 / 5 : wireshark (ELSA-2011-0370)NessusOracle Linux Local Security Checks
high
68231Oracle Linux 6 : wireshark (ELSA-2011-0369)NessusOracle Linux Local Security Checks
critical
60991Scientific Linux Security Update : wireshark on SL4.x, SL5.x i386/x86_64NessusScientific Linux Local Security Checks
high
57261SuSE 10 Security Update : wireshark (ZYPP Patch Number 7438)NessusSuSE Local Security Checks
critical
56426GLSA-201110-02 : Wireshark: Multiple vulnerabilitiesNessusGentoo Local Security Checks
critical
53809openSUSE Security Update : wireshark (openSUSE-SU-2011:0347-1)NessusSuSE Local Security Checks
medium
53319SuSE 10 Security Update : wireshark (ZYPP Patch Number 7439)NessusSuSE Local Security Checks
critical
53315SuSE 11.1 Security Update : wireshark (SAT Patch Number 4267)NessusSuSE Local Security Checks
critical
52948Debian DSA-2201-1 : wireshark - several vulnerabilitiesNessusDebian Local Security Checks
medium
52757CentOS 4 / 5 : wireshark (CESA-2011:0370)NessusCentOS Local Security Checks
high
52750RHEL 4 / 5 : wireshark (RHSA-2011:0370)NessusRed Hat Local Security Checks
high
52749RHEL 6 : wireshark (RHSA-2011:0369)NessusRed Hat Local Security Checks
critical
52641Fedora 14 : wireshark-1.4.4-1.fc14 (2011-2632)NessusFedora Local Security Checks
medium
52640Fedora 13 : wireshark-1.2.15-1.fc13 (2011-2620)NessusFedora Local Security Checks
medium
52593Mandriva Linux Security Advisory : wireshark (MDVSA-2011:044)NessusMandriva Local Security Checks
medium
52590Fedora 15 : wireshark-1.4.4-1.fc15 (2011-2648)NessusFedora Local Security Checks
medium
52502Wireshark < 1.2.15 / 1.4.4 Multiple VulnerabilitiesNessusWindows
high